<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 error_reporting(E_ALL ^E_NOTICE ^E_WARNING);
session_start();
define('GoldWebMU',true);
	include_once('config/config.php');
	include_once('includes/function.php');
	include ('_secure/vweb_protect.php');

// Define Ajax Request
define('IS_AJAX', isset($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest');
if(!IS_AJAX) { echo 'Khong duoc phep truy cap.'; }
else {
    if( isset($_GET['ajax']) )
    {
    	if ( preg_match("/^[a-zA-Z0-9_]+$/", $_GET['ajax']) )
    	{
            if (is_file("ajax/ajax_". $_GET['ajax'] .".php")) 
    		{
                include("ajax/ajax_". $_GET['ajax'] .".php");
    		}
            else echo "Not File Ajax";
    	}
        else echo $_GET['ajax'] . " : Parameter Ajax Don't Allow";
    }
}
?>